#pragma once

#include "WorldUpdate.h"

class AddEntityUpdateType : public WorldUpdateType
{
    REGISTRABLE(AddEntityUpdateType)

protected:
    AddEntityUpdateType();
    void applyUpdate(Framework::StreamReader* zReader) override;
};

REGISTER(AddEntityUpdateType, WorldUpdateType)